﻿#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
; #Warn  ; Enable warnings to assist with detecting common errors.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.


Position = 5 ; location to change in header
NewChar = 50 ;50 is BD 200 51 is UHD 300

Loop %0%  ; For each parameter (or file dropped onto a script):
{
  FileName := %A_Index%
  FileName_CFG := StrReplace(FileName,"index.bdmv","JAR\onQClient.cfg")

  IfInString, FileName, index.bdmv
  {
    f := FileOpen(FileName, "rw")
    f.Seek(Position)
    f.WriteChar(NewChar)
    f.Close()
    FileAppend, %FileName%`n, UHD_Menu_Log.log ; log title changed
  }
  if FileExist(FileName_CFG)
  {
    FileMove, %filename_CFG%, %filename_CFG%.no
    FileAppend, and onQClient.cfg renamed to onQClient.cfg.no`n, UHD_Menu_Log.log ; log if cfg changed
  }

}

; display list of titles changed by all instances
SetTitleMatchMode, 2
DetectHiddenWindows, On
WinGet, BottomMost, Count, %A_ScriptFullPath%
If BottomMost = 1
{
  FileRead, FilesProcessed, UHD_Menu_Log.log
  filedelete, UHD_Menu_Log.log
  msgbox, Updated the following UHD to Menu ON`n%FilesProcessed%
}
ExitApp